//
// This file is part of AlphaCam II.
//
// AlphaCam II is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// AlphaCam II is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with AlphaCam II.  If not, see <http://www.gnu.org/licenses/>.
//
//
//  AlphaCamRootViewController.m
//  AlphaCam II
//
//  Created by Nicholas Levin on 5/18/11.
//  Copyright 2011 Studio Andromeda. All rights reserved.
//

#import "AlphaCamRootViewController.h"

#import "NLGLCameraViewController.h"
#import "NLPalettePickerController.h"

@implementation AlphaCamRootViewController

@synthesize cameraViewButton=_cameraViewButton;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}


- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
    _cameraViewButton = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


-(IBAction) cameraViewButtonPressed
{
    NLGLCameraViewController* glCameraViewController = [[NLGLCameraViewController alloc] initWithScreen:[UIScreen mainScreen]];
    [self presentModalViewController:glCameraViewController animated:YES];
}

-(IBAction) selectPaletteButtonPressed
{
    NLPalettePickerController *tableVC = [[NLPalettePickerController alloc] initWithStyle:UITableViewStylePlain];
    
    UINavigationController *navController = [[UINavigationController alloc] initWithRootViewController:tableVC];
    tableVC.navigationController = navController;
    navController.topViewController.title = @"Image Type";
    
    tableVC.rootViewController = self;    
    
    [self presentModalViewController:navController animated:YES];
}

@end
