//
// This file is part of AlphaCam II.
//
// AlphaCam II is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// AlphaCam II is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with AlphaCam II.  If not, see <http://www.gnu.org/licenses/>.
//
//
//  NLColorPickerController.h
//  AlphaCam II
//
//  Created by Nicholas Levin on 5/26/11.
//  Copyright 2011 Studio Andromeda. All rights reserved.
//

#import <UIKit/UIKit.h>

@class NLMOColor;
@class NLMOPalette;
@class NLColorsEditorController;
@class NLCoreDataController;

@interface NLColorPickerController : UIViewController {
    
    NLCoreDataController *__unsafe_unretained coreDataController;

    NLColorsEditorController *colorsEditorController;
    
    NLMOPalette *__unsafe_unretained currentPalette;
    NLMOColor *__unsafe_unretained currentColor;
    
    IBOutlet UITextField *redField;
    IBOutlet UITextField *greenField;
    IBOutlet UITextField *blueField;
}
@property (nonatomic, retain) UITextField *redField;
@property (nonatomic, retain) UITextField *greenField;
@property (nonatomic, retain) UITextField *blueField;
@property (nonatomic, assign) NLMOPalette *currentPalette;
@property (nonatomic, assign) NLMOColor *currentColor;
@property (nonatomic, retain) NLColorsEditorController *colorsEditorController;
@property (nonatomic, assign) NLCoreDataController *coreDataController;

- (IBAction)save:(id)sender;
- (IBAction)cancel:(id)sender;

- (id)initWithCoreDataController:(NLCoreDataController *)aCoreDataController palette:(NLMOPalette *)aPalette color:(NLMOColor *)aColor colorsEditorController:(NLColorsEditorController *)aColorsEditorController;

@end
