//
// This file is part of AlphaCam II.
//
// AlphaCam II is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// AlphaCam II is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with AlphaCam II.  If not, see <http://www.gnu.org/licenses/>.
//
//
//  NLGLCameraVideoRecorder.h
//  AlphaCam II
//
//  Created by Nicholas Levin on 5/6/11.
//  Copyright 2011 Studio Andromeda. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AVFoundation/AVFoundation.h>

#import <OpenGLES/EAGL.h>
#import <OpenGLES/ES2/gl.h>
#import <OpenGLES/ES2/glext.h>

@interface NLGLCameraVideoRecorder : NSObject {
    AVAssetWriter *assetWriter;
	AVAssetWriterInput *assetWriterInput;
	AVAssetWriterInputPixelBufferAdaptor *assetWriterPixelBufferAdaptor;
    
    CGFloat frameScale;         // define with the OpenGL context's current scale (1.0 or 1.2)
    
    BOOL isFirstFrame;

    GLubyte *rawImageData;      // pointer to the texture in memory
    unsigned char* bgraData;    // pointer to another texture that we send to the CVImageBuffer
    
    unsigned scaledWidth;
    unsigned scaledHeight;
    unsigned bufferRowBytes;
}
@property(readonly) BOOL isRecording;

//-(CVPixelBufferRef) retrievePooledPixelBuffer;    // private method
-(void) writeSampleAtTime:(CMTime) presentationTime;

-(void) startRecording;
-(void) stopRecording;

@end
