//
// This file is part of AlphaCam II.
//
// AlphaCam II is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// AlphaCam II is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with AlphaCam II.  If not, see <http://www.gnu.org/licenses/>.
//
//
//  NLMOC64.m
//  AlphaCam II
//
//  Created by Nicholas Levin on 6/4/11.
//  Copyright (c) 2011 Studio Andromeda. All rights reserved.
//

#import "NLMOC64.h"
#import "NLMOPalette.h"
#import "NLMOColor.h"

@implementation NLMOC64

-(void)createWithDefaultPaletteInContext:(NSManagedObjectContext*)context
{   
    self.timeStamp = [NSDate date];
    
    self.palette = [NSEntityDescription insertNewObjectForEntityForName:@"NLMOPalette" inManagedObjectContext:context];
    
    self.palette.timeStamp = [NSDate date]; // grab the current time
    
    NSEntityDescription *colorEntity = [NSEntityDescription entityForName:@"NLMOColor" inManagedObjectContext:context];
    
    [self.palette createColorWithRed:0 green:0 andBlue:0 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:255 green:255 andBlue:255 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:104 green:55 andBlue:43 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:112 green:164 andBlue:178 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:111 green:61 andBlue:134 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:88 green:141 andBlue:67 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:53 green:40 andBlue:121 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:184 green:199 andBlue:111 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:111 green:79 andBlue:37 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:67 green:57 andBlue:0 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:154 green:103 andBlue:89 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:68 green:68 andBlue:68 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:108 green:108 andBlue:108 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:154 green:210 andBlue:132 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:108 green:94 andBlue:181 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:149 green:149 andBlue:149 inEntity:colorEntity andContext:context];
}

@end
