//
// This file is part of AlphaCam II.
//
// AlphaCam II is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// AlphaCam II is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with AlphaCam II.  If not, see <http://www.gnu.org/licenses/>.
//
//
//  NLMOPCjr.m
//  AlphaCam II
//
//  Created by Nicholas Levin on 6/4/11.
//  Copyright (c) 2011 Studio Andromeda. All rights reserved.
//

#import "NLMOPCjr.h"
#import "NLMOPalette.h"
#import "NLMOColor.h"

@implementation NLMOPCjr

-(void)createWithDefaultPaletteInContext:(NSManagedObjectContext*)context
{   
    self.timeStamp = [NSDate date];
    
    self.palette = [NSEntityDescription insertNewObjectForEntityForName:@"NLMOPalette" inManagedObjectContext:context];
    
    self.palette.timeStamp = [NSDate date];
    
    NSEntityDescription *colorEntity = [NSEntityDescription entityForName:@"NLMOColor" inManagedObjectContext:context];
    
    [self.palette createColorWithRed:0 green:0 andBlue:0 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:104 green:104 andBlue:104 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:0 green:0 andBlue:183 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:104 green:104 andBlue:255 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:0 green:183 andBlue:0 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:104 green:255 andBlue:104 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:0 green:183 andBlue:183 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:104 green:255 andBlue:255 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:183 green:0 andBlue:0 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:255 green:104 andBlue:104 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:183 green:0 andBlue:183 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:255 green:104 andBlue:255 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:255 green:255 andBlue:104 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:183 green:104 andBlue:0 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:183 green:183 andBlue:183 inEntity:colorEntity andContext:context];
    [self.palette createColorWithRed:255 green:255 andBlue:255 inEntity:colorEntity andContext:context];
}

@end
