//
// This file is part of AlphaCam II.
//
// AlphaCam II is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// AlphaCam II is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with AlphaCam II.  If not, see <http://www.gnu.org/licenses/>.
//
//
//  NLMOPalette.h
//  AlphaCam II
//
//  Created by Nicholas Levin on 6/4/11.
//  Copyright (c) 2011 Studio Andromeda. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class NLMOColor, NLMOOldComputers;

@interface NLMOPalette : NSManagedObject {
@private
}
@property (nonatomic, retain) NSDate * timeStamp;
@property (nonatomic, retain) NSSet* color;
@property (nonatomic, retain) NLMOOldComputers * oldComputerType;

- (void)addColorObject:(NLMOColor *)value ;    
- (void)removeColorObject:(NLMOColor *)value ;
- (void)addColor:(NSSet *)value ;
- (void)removeColor:(NSSet *)value ;

- (void)createColorWithRed:(int)redValue green:(int)greenValue andBlue:(int)blueValue inEntity:(NSEntityDescription*)colorEntity andContext:(NSManagedObjectContext*)context;

@end
