//
// This file is part of AlphaCam II.
//
// AlphaCam II is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// AlphaCam II is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with AlphaCam II.  If not, see <http://www.gnu.org/licenses/>.
//
//
//  NLUtility.h
//  AlphaCam II
//
//  Created by Nicholas Levin on 5/9/11.
//  Copyright 2011 Studio Andromeda. All rights reserved.
//

#ifndef NL_ALPHACAMII_UTILITY_H
#define NL_ALPHACAMII_UTILITY_H

#import <CoreGraphics/CoreGraphics.h>

#ifdef __cplusplus
extern "C" {
#endif

// From Hacker's Delight: http://www.hackersdelight.org/divcMore.pdf page 20
#define HD_Mod3(K) ( ( ( 0x55555555 * (K) ) + ( (K) >> 1 ) - ( (K) >> 3 ) ) >> 30 )

const char* NL_Path_To_Home_Directory(void);
const char* NL_Path_To_Library_Directory(void);
const char* NL_Path_To_Documents_Directory(void);
void NL_Save_CGImage_As_PNG(CGImageRef image, const char* path, const char* filename);

#ifdef __cplusplus
}
#endif

#endif