//
// This file is part of AlphaCam II.
//
// AlphaCam II is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// AlphaCam II is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with AlphaCam II.  If not, see <http://www.gnu.org/licenses/>.
//
//
//  NLUtility.c
//  AlphaCam II
//
//  Created by Nicholas Levin on 5/9/11.
//  Copyright 2011 Studio Andromeda. All rights reserved.
//

#import "NLUtility.h"

const char* NL_Path_To_Home_Directory(void)
{
    return [NSHomeDirectory() cStringUsingEncoding:1];
}

const char* NL_Path_To_Library_Directory(void)
{
    NSArray* paths = NSSearchPathForDirectoriesInDomains(NSLibraryDirectory, NSUserDomainMask, YES);
    NSString* libraryDirectory = [paths objectAtIndex:0];
    return [libraryDirectory cStringUsingEncoding:1];
}

const char* NL_Path_To_Documents_Directory(void)
{    
    NSArray* paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);
    NSString* documentsDirectory = [paths objectAtIndex:0];
    return [documentsDirectory cStringUsingEncoding:1];
}

void NL_Save_CGImage_As_PNG(CGImageRef image, const char* path, const char* filename)
{
    NSString* fileToSave = [NSString stringWithCString:filename encoding:NSASCIIStringEncoding];
    
    NSString* fullPath = [fileToSave stringByAppendingPathComponent:[NSString stringWithCString:path encoding:NSASCIIStringEncoding]];
        
    NSData* data = UIImagePNGRepresentation([UIImage imageWithCGImage:image]);
    if (![data writeToFile:fullPath atomically:YES])
        NSLog(@"ERROR: Could not write file to %@",fullPath);
}