//
// This file is part of AlphaCam II.
//
// AlphaCam II is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// AlphaCam II is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with AlphaCam II.  If not, see <http://www.gnu.org/licenses/>.
//
//
//  NLMOGameBoy.m
//  AlphaCam II
//
//  Created by Nicholas Levin on 6/4/11.
//  Copyright (c) 2011 Studio Andromeda. All rights reserved.
//

varying mediump vec2 textureCoordinate;
precision mediump float;


uniform lowp sampler2D videoFrame;
uniform lowp sampler2D lutFrame;

uniform float ditherMatrix[64];


vec3 find_bayer_offsets(vec3 ditherValue, vec3 c0)
{    
    if (all(greaterThan(c0,ditherValue)) == true) return min(c0 + 0.25,1.0);
    return max(c0 - 0.25,0.0);
}

void main()
{
    vec3 rgb = find_bayer_offsets( vec3(ditherMatrix[int(dot(vec2(mod(gl_FragCoord.x, 8.0), floor(mod(gl_FragCoord.y, 8.0))),
                                                          vec2(1.0,8.0)))]), texture2D(videoFrame, textureCoordinate).rgb );
    
    gl_FragColor = texture2D( lutFrame, vec2( (rgb.r + ceil(rgb.g * 31.0) ) * 0.03125, rgb.b) );
}